/*-- ------ #Require ------ --*/
function Require(){}

Require.prototype.sAjax_0=new netsSingleAjax();
//-- #Parameters --
//#Name
Require.prototype.sDetailButton="detailButton_";
Require.prototype.sDetailBox="detailContent_";

Require.prototype.sSearchKeywordDefault="请输入您要查询的内容...";
Require.prototype.sSearchURL="../../../Plus/m_default/require/supplyList.php";

//-- #Methods --

//#Search
Require.prototype.OnSearchFocus=function(pControl,pType){
	if(pType==0){
		if(pControl.value==this.sSearchKeywordDefault){
			pControl.value="";
		}
		pControl.className="FBlack1";
	}else{
		if(pControl.value==this.sSearchKeywordDefault || pControl.value==""){
			pControl.value=this.sSearchKeywordDefault;
			pControl.className="";
		}else{
			pControl.className="FBlack1";
		}
	}

	return 0;
}
Require.prototype.OnSearch=function(){
	tmpKeyword=document.getElementById("keywordTxt").value;
	if(tmpKeyword==this.sSearchKeywordDefault){
		tmpKeyword="";
	}
	tmpKeyword=tmpCommon.encodeURL(tmpKeyword);

	window.location=this.sSearchURL+"?DKeyword="+tmpKeyword;
	return 0;
}

//#Home slide
Require.prototype.sHomeslideCount=3;
Require.prototype.homeslideShow=function(pIndex){
	var Coun0=0;
	while(Coun0<this.sHomeslideCount){
		document.getElementById("homeSlideBox_"+Coun0).className=tmpCommon.sysHidden;
		document.getElementById("homeSlideBut_"+Coun0).className="Require_Home_0_4";
		Coun0++;
	}
	
	document.getElementById("homeSlideBox_"+pIndex).className="Require_Home_0_2";
	document.getElementById("homeSlideBut_"+pIndex).className="Require_Home_0_5";
	return 0;
}

Require.prototype.chooseDetail=function(pIndex){
	var Coun0=0;
	while(Coun0<4){
		document.getElementById(this.sDetailButton+Coun0).className="RequireTab_4";
		document.getElementById(this.sDetailButton+Coun0).childNodes[0].className="Link1 FBlack3";
		document.getElementById(this.sDetailBox+Coun0).className=tmpCommon.sysHidden;
		Coun0++;
	}
	document.getElementById(this.sDetailButton+pIndex).className="RequireTab_3";
	document.getElementById(this.sDetailButton+pIndex).childNodes[0].className="Link1 FBlack1";
	document.getElementById(this.sDetailBox+pIndex).className="Require_68";
	
	return 0;
}
